<script lang="ts">
  export let card: PropertyCard;
</script>

<div class="outer">
  <div class="inner border shadow">{card}</div>
</div>

<style>
  .outer {
    display: inline-block;
    position: relative;
    font-family: "Delius", cursive;
    font-weight: bold;
    color: rgb(236, 0, 0);
    -webkit-text-stroke: 0.03em rgba(0, 0, 0, 0.5);
    text-shadow: 0.05em 0.05em 0.05em rgba(0, 0, 0, 0.5);
    width: 2em;
    height: 1em;
    margin-left: 0.2em;
    margin-right: 0.2em;
  }

  .inner {
    width: 2em;
    height: 1.5em;
    text-align: center;
    background: hsl(30deg 100% 97%);
  }
</style>
